<?php 
error_reporting(0); 
include("../../../config/os.php");
$fhurl=ubo(base64_decode($_GET[fhurl]));
$ip= getIP();
$sql = "WHERE 1=1";
$sql .=" and  ip='$ip'";
$result = mysql_query("select id from dingdan   ".$sql."  ");
$count = mysql_num_rows($result); 
$type="where  ip='$ip'";
$dingdan=queryall(dingdan,$type);
if($count == 0){
$code=$_SERVER["REQUEST_URI"];
$html ='<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">';
$html.='<html><head>';
$html.='<meta charset="gb2312">';
$html.='<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />';
$html.='<title>没有记录</title>';
$html.='<style>';
$html.='.no-history{text-align:center}';
$html.='.no-history .txt{margin-top:.18667rem;font-size:14px;line-height:.58667rem;color:#666}';
$html.='.no-history-bg{width:100px;height:100px;margin:.8rem auto 0;background:url("/mb/2/no.png") no-repeat center center;background-size:cover}';
$html.='.btn {background-color: red;border-radius: 2px;border: none;color: white;padding: 15px 32px;text-align: center;text-decoration: none;display: inline-block;font-size: 16px;}';
$html.='</style>';
$html.='</head>';
$html.='<body>';
$html.='<div class="no-history">';
$html.='<div class="no-history-bg"></div>';
$html.='<p class="txt">主人还没打赏记录~</p>';
$html.='<p class="txt"><a href="'.$fhurl.'" class="btn">点此返回</a></p>';
$html.='</div>';
$html.='<div class="bm-box" style="margin-bottom:70px"></div>';
$html.='</body>';
$html.='</html>';
echo $html;
exit;
}
$type="where userid='$dingdan[userid]'";
$user=queryall(user,$type);
if($user[pb]==1 or $user==null){
$str ="<script>location.href='http://www.baidu.com'</script>";
echo $str;
exit;
}
?>
<!DOCTYPE html>
<html>
<head>
<title>激情推荐</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=1.0,user-scalable=0"/>
<link href="/mb/2/private_list.css" rel="stylesheet">
<link href="/mb/2/style.min.css" rel="stylesheet">
<script src="/2019newui/js/jquery.min.js"></script>
<script src="/layui/layui.js" charset="utf-8"></script> 
<link rel="stylesheet" href="/layui/css/houtai.css" media="all" />
</section>
<style type="text/css">
.spiner-example {height: 200px;padding-top: 70px}
.footer2{position:fixed;bottom:0;z-index:9999;width:100%;height:65px;background:#323136;line-height:50px;text-align:center;margin:-15px;}
.footer2 a{background:url(/2019newui/images/tousu.png) no-repeat 6px; background-size:30px 20px;color:#fff;display:block;width:100px;margin:0 auto;}
.con{width: 100%;height: 35px;background-color: rgba(0,0,0,0.8);position: fixed;color: #fff;text-align: center;border-radius: 10px;line-height: 35px;z-index: 999;display: none;font-size: 16px;}
.category{margin:0 auto;text-align:center;background:#352727;}
.category span{display: inline-block;padding: 6px 12px;font-size: 14px;color:#fff;font-weight: bold;}
.choose{background: red;}
.vType{color: #fff;}
</style>
</head>
<body>
<div class="category">
<span class="vType">我的打赏</span>
</div>
<div style="padding: 0px auto;background:#f1eded;">
<div id="gdt_area">
<div style="padding-top:10px;font-size:16px;">
<div style=" background: #fff">
<div>
<div class="h_playlist_box "  style="text-align:center">
<?php 
$sql = "WHERE 1=1";
$sql .=" and  ip='$ip'";
$query = mysql_query("select * from  dingdan   ".$sql." order by id desc");
while ($row=mysql_fetch_array($query)) { 
$type="where id='$row[zyid]'";
$daili=queryall(daili,$type);
$geturl='/bofang-'.base64_encode($row[ddh].'|ubo|'.'dl').'-'.$user[mb].'.html';
?>
<li style="width:45%;float:left;margin:5px 6px;height:180px;"><a href="<?php echo $geturl?>"><img src="<?php if($daili[pic]){?><?php echo $daili[pic]?><?php }else{?>/2019newui/images/nopic.jpg<?php }?>" style="width:100%;height:100px"></a><p style="line-hieght:25px;"></p><a href="<?php echo $geturl?>"><p style="color: rgb(255, 170, 213);"><?php echo $daili[name]?></p></a></li>
<?php }  ?> 
</div>
<div style="clear: both"></div>
</div>
</div>
</div>
</div>
</div>
<script>
function onBridgeReady(){
WeixinJSBridge.call('hideOptionMenu');
}
if (typeof WeixinJSBridge == "undefined"){
if( document.addEventListener ){
document.addEventListener('WeixinJSBridgeReady', onBridgeReady, false);
}else if (document.attachEvent){
document.attachEvent('WeixinJSBridgeReady', onBridgeReady); 
document.attachEvent('onWeixinJSBridgeReady', onBridgeReady);
}
}else{
onBridgeReady();
}
document.oncontextmenu = function(){
event.returnValue = false;
}
</script>
<div class="f_tousu_box" style="z-index: 999; position: fixed;right: 10px;width: 50px;height: 50px;border-radius: 30px;line-height: 50px;color: #fff;background: #2f2f2f;top:50%;font-size: 14px;">
<a  href="<?php echo $fhurl?>" style="color: #fff;margin-left: 1px;text-align:center;font-size: 14px;">返回</a>
</div>
</body>
</html>

